GNU bug report logs - #32609
26.1; mail-strip-quoted-names:205

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Johannes Bruegmann <johannes.bruegmann@HIDDEN>; Keywords: moreinfo unreproducible; dated Sun, 2 Sep 2018 00:45:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) unreproducible. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 32609 <at> debbugs.gnu.org:


Received: (at 32609) by debbugs.gnu.org; 2 Sep 2018 18:08:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 02 14:07:59 2018
Received: from localhost ([127.0.0.1]:43286 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fwWn1-0002sT-Ky
	for submit <at> debbugs.gnu.org; Sun, 02 Sep 2018 14:07:59 -0400
Received: from mail-it0-f66.google.com ([209.85.214.66]:33763)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1fwWn0-0002sC-BE; Sun, 02 Sep 2018 14:07:58 -0400
Received: by mail-it0-f66.google.com with SMTP id j198-v6so9446392ita.0;
 Sun, 02 Sep 2018 11:07:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=s699A5Ovbj9NXY/fuHBbyOriWezRQKcc2kAL+fvFMWQ=;
 b=WGOspXyBGLcOsHE2M00Sl1ntVAROMRuyImcdm252qgzqkjy9gLKxumUy7+LEXwgkUX
 rGbfI1FQslJUmECuh1gRvC5opM6d8dquU4YjiMG7w2BFdrVpUQvwcvMp/bc7B9C/NeUD
 2hLTml3YRRLN3ttFU0482nGBk2ZPNZKhuHSqWPxTSCvKXhniqBTACYhKjvXHjTjoYthT
 k71zG6q+pi73qWpoDiDzT4/AhhfHHgyDT/mrvJ/tS2TXuvUXiL7Cq5kfto3LRFeKLffW
 qfygw/CKXFFYVJVs3yNuN29fED4mp+EWGiw0T0HSB7yljtaBVQpJ+sgMeCMbP1X2kbCG
 V25w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=s699A5Ovbj9NXY/fuHBbyOriWezRQKcc2kAL+fvFMWQ=;
 b=TXTPNhI2aL51o83IWIOz55yJgL70rj4MBFcLcn9D7zCcxHmWfDFeWuOdenIUATqhUR
 KqneTutJKIs3JKmlUnSdlYv6dxCSOVbZfhrmjiIpBh2xdoYg5UQXyD0/7lIshQj2A07T
 YL3Xy0HHBl+YadscBFph6+COqxKD275I4yrwDj73VjiEndv3C8cL2zfVWylu/wyqNUJ2
 TziF3aCQv/LHidBCVlGDyWPaD9CiqSGyRxvB4+GpZtyRie24zD5x5ZenwEnbAx+Aje7S
 /RHB7vijkFG148FQ2o1wtVUDgLBL54b1zq0OmUPa+erNM20mVN/kI+qKhbov6/3KnX/i
 00JA==
X-Gm-Message-State: APzg51BhLwXRk6Ycdd/Mc82pWDFSdsOe39H3oOzIo86Uq3CxjLhZGFic
 Y9eSNLg4Y1L1fz0LbKjc8DZkjnVh
X-Google-Smtp-Source: ANB0VdZUw0mBmc26fULNu2TisJ53hR3lrVxqFXFPddNdKXqgSOT5fVhKikVUpggW+R2dlSWhRu5RIg==
X-Received: by 2002:a24:8647:: with SMTP id
 u68-v6mr2935827itd.154.1535911672612; 
 Sun, 02 Sep 2018 11:07:52 -0700 (PDT)
Received: from zebian (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.googlemail.com with ESMTPSA id
 z13-v6sm5908889ioj.51.2018.09.02.11.07.51
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 02 Sep 2018 11:07:52 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: 32609 <at> debbugs.gnu.org
Subject: Re: bug#32609: 26.1; mail-strip-quoted-names:205
References: <86y3ckkjgx.fsf@HIDDEN> <87h8j7rd9w.fsf@HIDDEN>
Date: Sun, 02 Sep 2018 14:07:51 -0400
In-Reply-To: <87h8j7rd9w.fsf@HIDDEN> (Noam Postavsky's message of "Sun, 02
 Sep 2018 13:59:39 -0400")
Message-ID: <87efebrcw8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 32609
Cc: "Dr. Johannes =?utf-8?Q?Br=C3=BCgmann?=" <dr.johannes.bruegmann@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 32609 + unreproducible
quit

> From: Dr. Johannes Br=C3=BCgmann <dr.johannes.bruegmann@HIDDEN>

>>> I   tried  to   reply  to   an  email   by  pressing   r,  R,   and  M-x
>>> gnus-article-reply-with-original.   None  of  them  worked.   Minibuffer
>>> displayed  "Mark  Set" but  nothing  happened.  I enabled  Debugging  on
>>> C-g. The *Backtrace*-buffer showed
>>>      string-match("\\`[ \t\n]*" "")
>>>      mail-strip-quoted-names("")
>>>      mail-dont-reply-to("foo@HIDDEN")
>>
>> If I evaluate (mail-dont-reply-to "foo@HIDDEN") it doesn't hang.

> The  mail address  i  wanted  to reply  to  didn't  contain any  special
> characters.  Neither did  the call  to mail-dont-reply-to.  I understand
> that special characters could cause such a behaviour.
>
> As part of following your question, I've put the original file back into
> its place, and  then i recompiled using  byte-compile-file and restarted
> emacs.   Now the  symtom is  no  longer reproducible.  Neither with  the
> originating email, nor with any others that i tested.

I think that means that it's not actually getting stuck in
mail-dont-reply-to, there is some wider loop and you just happened to
stop there.  Next this happens, try to continue a bit and see if you can
find where it loops back again.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32609; Package emacs. Full text available.

Message received at 32609 <at> debbugs.gnu.org:


Received: (at 32609) by debbugs.gnu.org; 2 Sep 2018 17:59:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 02 13:59:49 2018
Received: from localhost ([127.0.0.1]:43280 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fwWf6-0002fP-CB
	for submit <at> debbugs.gnu.org; Sun, 02 Sep 2018 13:59:49 -0400
Received: from mail-io0-f180.google.com ([209.85.223.180]:46023)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1fwWf4-0002fB-MU
 for 32609 <at> debbugs.gnu.org; Sun, 02 Sep 2018 13:59:47 -0400
Received: by mail-io0-f180.google.com with SMTP id e12-v6so14215865iok.12
 for <32609 <at> debbugs.gnu.org>; Sun, 02 Sep 2018 10:59:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:mime-version;
 bh=c7jo0XBZZrpfDknd2M0nROoswpJsSJ5IWB5limx5kr0=;
 b=hkqOTM73m8gPTFUS3pQ3zb0om/nNwVk2k7AdtkeiVY6ButxNH6VsWOuuvMCpPrC350
 +f3OpzH3MFePuPv7Ux72SlbSWMg49sZjhDVEmZsCHs0ABLn+SgUZm0SphQtBBt1T9BJx
 mQhasyjPuAF2EP7wnQXCQmE7MXCFpySv3AyKPC0eIZ0K8Lrjf0wbUuDRhhilk9P68Bhi
 ljvrV7rc7vYZSXbgOFODk+rjepJ8g9CnjbtpTtLuonCHfjt2a2BhDewOcnd49mxwoj+i
 7dTA/gOqHU/bKXc8KJP9rQUkNbvJWLxArtRxxb4FB9qqrqwzrDsjNFAz6SCxhL1wuOU+
 mTlg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version;
 bh=c7jo0XBZZrpfDknd2M0nROoswpJsSJ5IWB5limx5kr0=;
 b=nV+unYBfZgNjA8i3dTvNznulSRdjqy5qtuwU/6gRSq1MXiMHqEej3Dmgb/XVx41OiJ
 Q8EtHhnLGuX4P3+1y5FB160NUtUzGEB5ZHEJvOZ4GyvRsQ9yh42gXy9+FVDY/2QiUTTt
 CUEQZ4Id2leJKOmYFspgjKxe66EE4Ogg6DllEYJ6uq9L1TWNw81MhXimySS7fo99FdLh
 uEUkpR9boEHVsyv6VOZvoPgdBtuO3l8216oF4SEMaba2xgYsniFtkxrKTJmHDZgCqdT+
 9+rGGZjhXoP00jvOdrDnXTtufOfGX4xTzNEEm2s/e9BkTcsflRQ0RZGE4vWwPN+x9Xh1
 YRcA==
X-Gm-Message-State: APzg51A9zWieUVb1EaXFWg7z8Z7HUo+F0hQ5iKBlMheT8Dvt1yahPb43
 KbXjigLsTc1uzAMy8qRaFWY=
X-Google-Smtp-Source: ANB0VdZ9gtWsVQzV93YBtVR1pMsFA7RpUx7EV70IO5F/XqXbcufumsNOwSzq0HjIOVtJ8MWKx6tHHg==
X-Received: by 2002:a6b:9e91:: with SMTP id
 h139-v6mr17387261ioe.185.1535911181315; 
 Sun, 02 Sep 2018 10:59:41 -0700 (PDT)
Received: from zebian (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.googlemail.com with ESMTPSA id
 e5-v6sm4420371itf.0.2018.09.02.10.59.40
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 02 Sep 2018 10:59:40 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: 32609 <at> debbugs.gnu.org
Subject: Re: bug#32609: 26.1; mail-strip-quoted-names:205
Date: Sun, 02 Sep 2018 13:59:39 -0400
Message-ID: <87h8j7rd9w.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32609
Cc: =?utf-8?Q?Dr=2E_Johannes_Br=C3=BCgmann?= <dr.johannes.bruegmann@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

[forwarding to list, since sending to newsgroup doesn't get archived in
bug thread]


--=-=-=
Content-Type: message/rfc822
Content-Disposition: inline

From: =?utf-8?Q?Dr=2E_Johannes_Br=C3=BCgmann?=
 <dr.johannes.bruegmann@HIDDEN>
Subject: Re: bug#32609: 26.1; mail-strip-quoted-names:205
Date: Sun, 02 Sep 2018 14:56:35 +0200
Message-ID: <86sh2s6osc.fsf@HIDDEN>
References: <86y3ckkjgx.fsf@HIDDEN> <mailman.298.1535892140.1284.bug-gnu-emacs@HIDDEN>
To: bug-gnu-emacs@HIDDEN
MIME-Version: 1.0
Content-Type: text/plain

Noam Postavsky <npostavs@HIDDEN> writes:

> tags 32609 + moreinfo
> quit
>
> Johannes Bruegmann <johannes.bruegmann@HIDDEN> writes:
>
>> I   tried  to   reply  to   an  email   by  pressing   r,  R,   and  M-x
>> gnus-article-reply-with-original.   None  of  them  worked.   Minibuffer
>> displayed  "Mark  Set" but  nothing  happened.  I enabled  Debugging  on
>> C-g. The *Backtrace*-buffer showed
>>      string-match("\\`[ \t\n]*" "")
>>      mail-strip-quoted-names("")
>>      mail-dont-reply-to("foo@HIDDEN")
>
> If I evaluate (mail-dont-reply-to "foo@HIDDEN") it doesn't hang.  I
> guess "foo@HIDDEN" is a placeholder, but you've dropped the relevant
> special characters that cause the problem.  Can you give a value that
> reproduces the hang?  E.g., just change all letters in the real email to
> x, but leave other characters untouched.

The  mail address  i  wanted  to reply  to  didn't  contain any  special
characters.  Neither did  the call  to mail-dont-reply-to.  I understand
that special characters could cause such a behaviour.

As part of following your question, I've put the original file back into
its place, and  then i recompiled using  byte-compile-file and restarted
emacs.   Now the  symtom is  no  longer reproducible.  Neither with  the
originating email, nor with any others that i tested.

>> To me it  looked like that the signature for  string-match and match-end
>> changed   (or   have   been   overloaded?).  Anyway,   when   i   change
>
> Not sure what you mean about signature change.

I  didn't   look  very   carefully  at   the  function   description  of
string-match.   I was  wondering why  someone would  not use  the return
value  of string-match.  Now  i understand  that  string-match holds  an
internal state and match-end can be used to get beyond the first match.

>> mail-utils.el:205 into
>>      ;; strip surrounding whitespace
>>      (setq address (substring address
>>                               (string-match "\\`[ \t\n]*" address)
>>                               (string-match "[ \t\n]*\\'" address
>>                               (match-end 0))))
>>
>> things work for me.
>
> I don't  think this change is  correct, it doesn't remove  the leading
> whitespace like before.

You are  right here.  But still i  didn't dream the  symptom :)  nor the
backtrace. 

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32609; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 32609 <at> debbugs.gnu.org:


Received: (at 32609) by debbugs.gnu.org; 2 Sep 2018 11:51:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 02 07:51:48 2018
Received: from localhost ([127.0.0.1]:42407 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fwQuj-0000CL-Ev
	for submit <at> debbugs.gnu.org; Sun, 02 Sep 2018 07:51:48 -0400
Received: from mail-it0-f54.google.com ([209.85.214.54]:32866)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1fwQu3-0000At-0J; Sun, 02 Sep 2018 07:51:06 -0400
Received: by mail-it0-f54.google.com with SMTP id j198-v6so8944320ita.0;
 Sun, 02 Sep 2018 04:50:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=J5BMLOnpwMTfycrTItGaJoxvUFEbWXCxSIBg3krh318=;
 b=Xkf5U27d/VSsPzvbMIF2WX2QucrrANpeciDdVmiL4g2pg1ltN+b7/XwWRnNTnXX7cm
 fag8Ro1/1E8FjT665nI4MyyH5b4nui9GzwRxP8YKiKFXfZUB66Hg5wRh2Sj5AtHPfijU
 UPwknf0/ql36Y6It1OPE27Qb+K2t5AiEKWRinrlW2e2sTgG54TDF/paSzhlNdLoDMMtE
 e2WStqybd1pYJ05FCt4mbsKwiuKxOlfYyBXsO1DB96F/rcxN3k9AZWWtCSKihfUFGpmI
 /qtgSHgGdAwRqWeILig8Y7newUKGwrmTgfdrJQCsa1bGHBkqLnYJKG4ob21gv8h1fVAb
 f4SQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=J5BMLOnpwMTfycrTItGaJoxvUFEbWXCxSIBg3krh318=;
 b=XiMCua+1PUaGObsNHAyXKipLNVlQods9w0DbBjzN/9koPpnM+dr8WjA1QJToOXvHCm
 7LvYdoXF3ax+SRNoIPG8g9x+e+coEZHqhKUgFbG4Xpg9PSh8sOtBkHdbdEHQ5Njd+wiy
 qrH23BSeygloeRCaMDpvbiAzglnmJZbuvNneB8tBRurH8udto5YLkiEzz2cZTUYlwTqS
 E4ykDB/0vM7wMaTWiaoVnrhlyptE51GyCHm+zJPvRfZE01JwWCkQSqNFAI9TDcOYmYcT
 7QEwMTcWGfKmmbgT7kTN2TmKdRDOPs6kEVyZQrYa9G8r5RkXNExFCX6fDfO/IRdpexEy
 U0LA==
X-Gm-Message-State: APzg51DuTA6hJMFVBNv8tQkDO9KN3V7dFX/FII1HtHIv/wEGkbAxlVh5
 tib7zJAr+nz22cDpsYxtHRrpbY7J
X-Google-Smtp-Source: ANB0Vdbzc1dC+6zHDjV6mkvCYuElqqD6Tm8Qqsy/dYUZcp6kL28omOczhWMZ7VqJXB0uupLv5GcY1w==
X-Received: by 2002:a24:cf06:: with SMTP id y6-v6mr2509109itf.5.1535889036081; 
 Sun, 02 Sep 2018 04:50:36 -0700 (PDT)
Received: from zebian (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.googlemail.com with ESMTPSA id
 l8-v6sm5863646ioh.58.2018.09.02.04.50.34
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 02 Sep 2018 04:50:35 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Johannes Bruegmann <johannes.bruegmann@HIDDEN>
Subject: Re: bug#32609: 26.1; mail-strip-quoted-names:205
References: <86y3ckkjgx.fsf@HIDDEN>
Date: Sun, 02 Sep 2018 07:50:33 -0400
In-Reply-To: <86y3ckkjgx.fsf@HIDDEN> (Johannes Bruegmann's message of "Sat, 01
 Sep 2018 23:15:26 +0200")
Message-ID: <87pnxwqfsm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32609
Cc: 32609 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 32609 + moreinfo
quit

Johannes Bruegmann <johannes.bruegmann@HIDDEN> writes:

> I   tried  to   reply  to   an  email   by  pressing   r,  R,   and  M-x
> gnus-article-reply-with-original.   None  of  them  worked.   Minibuffer
> displayed  "Mark  Set" but  nothing  happened.  I enabled  Debugging  on
> C-g. The *Backtrace*-buffer showed
>      string-match("\\`[ \t\n]*" "")
>      mail-strip-quoted-names("")
>      mail-dont-reply-to("foo@HIDDEN")

If I evaluate (mail-dont-reply-to "foo@HIDDEN") it doesn't hang.  I
guess "foo@HIDDEN" is a placeholder, but you've dropped the relevant
special characters that cause the problem.  Can you give a value that
reproduces the hang?  E.g., just change all letters in the real email to
x, but leave other characters untouched.

> To me it  looked like that the signature for  string-match and match-end
> changed   (or   have   been   overloaded?).  Anyway,   when   i   change

Not sure what you mean about signature change.

> mail-utils.el:205 into
>      ;; strip surrounding whitespace
>      (setq address (substring address
>                               (string-match "\\`[ \t\n]*" address)
>                               (string-match "[ \t\n]*\\'" address
>                               (match-end 0))))
>
> things work for me.

I don't think this change is correct, it doesn't remove the leading whitespace
like before.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32609; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Sep 2018 00:45:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 01 20:45:00 2018
Received: from localhost ([127.0.0.1]:42247 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fwGVf-0004tL-Mv
	for submit <at> debbugs.gnu.org; Sat, 01 Sep 2018 20:45:00 -0400
Received: from eggs.gnu.org ([208.118.235.92]:46035)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <johannes.bruegmann@HIDDEN>) id 1fwDF7-0008FP-46
 for submit <at> debbugs.gnu.org; Sat, 01 Sep 2018 17:15:41 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <johannes.bruegmann@HIDDEN>) id 1fwDF0-0002sf-Qj
 for submit <at> debbugs.gnu.org; Sat, 01 Sep 2018 17:15:35 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:55517)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <johannes.bruegmann@HIDDEN>)
 id 1fwDF0-0002sX-N6
 for submit <at> debbugs.gnu.org; Sat, 01 Sep 2018 17:15:34 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:38785)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <johannes.bruegmann@HIDDEN>) id 1fwDEz-00051z-8u
 for bug-gnu-emacs@HIDDEN; Sat, 01 Sep 2018 17:15:34 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <johannes.bruegmann@HIDDEN>) id 1fwDEw-0002ql-0S
 for bug-gnu-emacs@HIDDEN; Sat, 01 Sep 2018 17:15:33 -0400
Received: from mout.web.de ([212.227.15.4]:37353)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <johannes.bruegmann@HIDDEN>)
 id 1fwDEv-0002on-MR
 for bug-gnu-emacs@HIDDEN; Sat, 01 Sep 2018 17:15:29 -0400
Received: from DESKTOP-4VQ7NJB.andalusia.internal ([91.89.90.44]) by
 smtp.web.de (mrweb001 [213.165.67.108]) with ESMTPSA (Nemesis) id
 0LkyXt-1fNysk0czd-00ampA for <bug-gnu-emacs@HIDDEN>; Sat, 01 Sep 2018
 23:15:27 +0200
From: Johannes Bruegmann <johannes.bruegmann@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.1; mail-strip-quoted-names:205
Date: Sat, 01 Sep 2018 23:15:26 +0200
Message-ID: <86y3ckkjgx.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:50lJj4U9QRx2TmLt7XR7Csk4+21pmi2Nn4sH3KanRzNRkKroqdu
 2Gat+m2UHI5pDp/2hoaGzNAfCWx91YqbI2AatsyPqEUWQKxY+i7ViTA7MIpi92tdDOWN4Qp
 sjioeUTZpcFA+29eT/IR6dABGgc+IOL+BbbUeu1XZWwJZiQdNqvdh//VPzKZgpcwiuA+t+d
 9oo0XMOm3/XlqXA44VBCA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:PwGYaF+dwnA=:2Me9hUih+R0qkJd1u+/LIg
 vaQff8I7O1B4bTm35B20mSxmbwhLSfDLZLNchMveCFs6ftPDbxmA1aeeteJHxqa+2BU4cFdh8
 1D2uZvKl03rPe4anl2thK4JjXfBDXXET/3U1eaf7d+eRG+cQ4okq79Trd0KIhfYxvtGzr2sNa
 PM0NkW0X6d3uyu31X/eO2E/F2Cz0ZXV+w4Q2mu/0d5gdo8GcmwGRa/Angxx/JullMkt+s+bGg
 6ztCI2JNgZbNvQLE3qdx9pJaHInlT7qItky7oY8pW1x0L524FPTOvLFNnpdUSZt/Yrmxz5Z7u
 KY0g6oLZHde1U/yYW+Q63PHViki80j/tIj+s0OhLWFle/mRvBB1OIFPy0u5GukzYoeIqwkir3
 e+SJC1r4TPQZH8l2v1fF7FDJBPFe/PwEocDBpCHWSNoJQYGeUiOH5Vztmm5oLpDsUWNxghEQW
 SQ7DlzWngnh8P0OVLdtpmsRZ6YSstzJc7MLSO8XG3vPb971oHDai4CvGrtdrRJ1Rt/70zzRKM
 NVPHGqvUh3TJFKhqj4WCgxo99GqPYZ08wp1OGE6pS2BsWgk73EMQws70/intBMTBXXc945Ugn
 g/wjiSEP/TrLzkZlD4Yhw0bv7jdy3XCb/WchKEIJD8prG/pPMGTDIQOfSlXB0IpE7YIoO0Duu
 /G1NyqkkxCklvmEfVJw/jcTIa/AJ35IdPX8+j5X6Nx1dvzKMMBkftUckGfEseDYOLdLfKCuaW
 IaVLYwDsAx5kxeEVEmqOq+Ffm6270kNnTqPGNp84XTrX8O6Ml//+S92du71JUNN3a5DjWFWBY
 4TZxa8L
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 01 Sep 2018 20:44:59 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.1 (-----)


I   tried  to   reply  to   an  email   by  pressing   r,  R,   and  M-x
gnus-article-reply-with-original.   None  of  them  worked.   Minibuffer
displayed  "Mark  Set" but  nothing  happened.  I enabled  Debugging  on
C-g. The *Backtrace*-buffer showed
     string-match("\\`[ \t\n]*" "")
     mail-strip-quoted-names("")
     mail-dont-reply-to("foo@HIDDEN")

To me it  looked like that the signature for  string-match and match-end
changed   (or   have   been   overloaded?).  Anyway,   when   i   change
mail-utils.el:205 into
     ;; strip surrounding whitespace
     (setq address (substring address
                              (string-match "\\`[ \t\n]*" address)
                              (string-match "[ \t\n]*\\'" address
                              (match-end 0))))

things work for me.



In GNU Emacs 26.1 (build 1, x86_64-w64-mingw32)
 of 2018-05-30 built on CIRROCUMULUS
Repository revision: 07f8f9bc5a51f5aa94eb099f3e15fbe0c20ea1ea
Windowing system distributor 'Microsoft Corp.', version 10.0.17134
Recent messages:
command-execute: Command attempted to use minibuffer while in minibuffer
Quit [3 times]
Making completion list...
Quit
completing-read-default: Command attempted to use minibuffer while in minibuffer
Quit
command-execute: Command attempted to use minibuffer while in minibuffer
Quit
Making completion list...
Type C-x 1 to delete the help window.
user-error: No cross-reference here
Configured using:
 'configure           --without-dbus           --host=x86_64-w64-mingw32
 --without-compress-install 'CFLAGS=-O2 -static -g3''

Configured features:
XPM  JPEG  TIFF GIF  PNG  RSVG  SOUND  NOTIFY  ACL GNUTLS  LIBXML2  ZLIB
TOOLKIT_SCROLL_BARS THREADS LCMS2

Important settings:
  value of $LANG: DEU
  locale-coding-system: cp1252

Major mode: Info

Minor modes in effect:
  diff-auto-refine-mode: t
  debbugs-browse-mode: t
  shell-dirtrack-mode: t
  global-flycheck-mode: t
  display-time-mode: t
  csv-field-index-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
c:/Users/johan/AppData/Roaming/.emacs.d/elpa/markdown-mode-20180731.1830/markdown-mode hides ~/.emacs.d/elpa/markdown-mode-2.0/markdown-mode
c:/Users/johan/AppData/Roaming/.emacs.d/elpa/markdown-mode-20180731.1830/markdown-mode-pkg hides ~/.emacs.d/elpa/markdown-mode-2.0/markdown-mode-pkg
c:/Users/johan/AppData/Roaming/.emacs.d/elpa/markdown-mode-20180731.1830/markdown-mode-autoloads hides ~/.emacs.d/elpa/markdown-mode-2.0/markdown-mode-autoloads

Features:
(shadow  pulse emacsbug  diff-mode  org-rmail  org-mhe org-irc  org-info
org-gnus org-docview  org-bibtex bibtex org-bbdb org-w3m  nndoc gnus-dup
debbugs-browse org-element avl-tree generator org org-macro org-footnote
org-pcomplete org-list org-faces  org-entities org-version ob-emacs-lisp
ob  ob-tangle org-src  ob-ref ob-lob  ob-table ob-keys  ob-exp ob-comint
ob-core  ob-eval  org-compat  org-macs  org-loaddefs  cal-menu  calendar
cal-loaddefs  debbugs-gnu add-log  debbugs soap-client  warnings rng-xsd
rng-dt rng-util  xsd-regexp xml  autoload tar-mode pp  cus-edit misearch
multi-isearch   mm-archive  url-http   url-gw  url-cache   url-auth  url
url-proxy  url-privacy  url-expand  url-methods  url-history  url-cookie
url-domsuf  url-util   browse-url  finder  lisp-mnt   rfc2104  mailalias
eieio-opt speedbar  sb-image ezimage dframe help-fns  radix-tree apropos
bbdb-message  nnir smiley  mail-extr  gnus-async  gnus-bcklg qp  gnus-ml
cursor-sensor utf-7 nndraft nnmh nnmaildir network-stream nsm gnus-agent
gnus-srvr   nnvirtual   nntp   gnus-cache   smooth-scrolling   elec-pair
fsharp-mode  fsharp-mode-indent-smie   smie  inf-fsharp-mode  fsharp-doc
flycheck-fsharp   fsharp-mode-completion  fsharp-mode-util   etags  xref
project  merlin-company  company  s  tramp  tramp-compat  tramp-loaddefs
trampver     ucs-normalize    shell     pcomplete    flycheck-clangcheck
flycheck-cstyle   flycheck-ocaml  pcase   merlin-cap  merlin   let-alist
flycheck cl-extra  json map  find-func help-mode subr-x  dash finder-inf
info advice  package url-handlers time cus-start  cus-load markdown-mode
color url-parse url-vars thingatpt  noutline outline easy-mmode diatheke
smtpmail  auth-source  cl-seq  eieio eieio-core  cl-macs  eieio-loaddefs
sendmail starttls  moy-bbdb bbdb-gnus  bbdb-mua bbdb-pgp  spam spam-stat
bbdb-com crm  bbdb bbdb-site gnus-uu yenc  gnus-msg gnus-cite gnus-score
score-mode gnus-art  mm-uu mml2015 mm-view mml-smime  smime dig gnus-sum
gnus-group gnus-undo gnus-start gnus-cloud nnimap nnmail mail-source tls
gnutls utf7  netrc nnoo gnus-spec  gnus-int gnus-range message  rmc puny
seq byte-opt bytecomp byte-compile  cconv format-spec rfc822 mml mml-sec
password-cache  epa  epg   epg-config  mailabbrev  gmm-utils  mailheader
gnus-win  gnus   nnheader  gnus-util  rmail   rmail-loaddefs  mail-utils
mm-decode mm-bodies mm-encode w3m  parse-time mail-parse rfc2231 rfc2047
rfc2045 mm-util  ietf-drums mail-prsvr mailcap doc-view  jka-compr dired
dired-loaddefs image-mode timezone  w3m-hist w3m-fb bookmark-w3m w3m-ems
w3m-ccl ccl w3m-favicon w3m-image w3m-proc w3m-util color-theme wid-edit
cl  gv   smooth-scroll  maude-mode  rx  imenu   derived  compile  comint
ansi-color ring csv-mode sort x-dict easymenu edmacro kmacro cl-loaddefs
cl-lib time-date  mule-util tooltip  eldoc electric  uniquify ediff-hook
vc-hooks lisp-float-type mwheel  dos-w32 ls-lisp disp-table term/w32-win
w32-win w32-vars  term/common-win tool-bar dnd fontset  image regexp-opt
fringe tabulated-list replace  newcomment text-mode elisp-mode lisp-mode
prog-mode  register  page  menu-bar  rfn-eshadow  isearch  timer  select
scroll-bar   mouse   jit-lock   font-lock  syntax   facemenu   font-core
term/tty-colors  frame  cl-generic  cham georgian  utf-8-lang  misc-lang
vietnamese tibetan  thai tai-viet  lao korean japanese  eucjp-ms cp51932
hebrew  greek romanian  slovak czech  european ethiopic  indian cyrillic
chinese composite charscript  charprop case-table epa-hook jka-cmpr-hook
help  simple abbrev  obarray  minibuffer  cl-preloaded nadvice  loaddefs
button faces  cus-face macroexp  files text-properties overlay  sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote w32notify w32 lcms2 multi-tty make-network-process emacs)

Memory information:
((conses 16 1886794 307219)
 (symbols 56 53561 47)
 (miscs 48 633 853)
 (strings 32 291067 74051)
 (string-bytes 1 7355798)
 (vectors 16 103222)
 (vector-slots 8 2268205 69940)
 (floats 8 3332 1317)
 (intervals 56 185927 1424)
 (buffers 992 57))




Acknowledgement sent to Johannes Bruegmann <johannes.bruegmann@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#32609; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 2 Sep 2018 18:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.